Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.pipe.iterator
Class RandomTokenSequenceIterator

    java.lang.Object
      cc.mallet.pipe.iterator.RandomTokenSequenceIterator

All Implemented Interfaces:
  java.util.Iterator<Instance>

    public class RandomTokenSequenceIterator

extends java.lang.Object
implements java.util.Iterator<Instance>

Constructor Summary
`RandomTokenSequenceIterator(Randoms r, Alphabet vocab, java.lang.String[] classnames)`
`RandomTokenSequenceIterator(Randoms r, Dirichlet classCentroidDistribution, double classCentroidAvergeAlphaMean, double classCentroidAvergeAlphaVariance, double featureVectorSizePoissonLambda, double classInstanceCountPoissonLamba, java.lang.String[] classNames)`
`RandomTokenSequenceIterator(Randoms r, int vocabSize, int numClasses)`

Method Summary
`Alphabet` | `getAlphabet()`
`boolean` | `hasNext()`
`Instance` | `next()`
`void` | `remove()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomTokenSequenceIterator

    public RandomTokenSequenceIterator(Randoms r,
                                       Dirichlet classCentroidDistribution,
                                       double classCentroidAvergeAlphaMean,
                                       double classCentroidAvergeAlphaVariance,
                                       double featureVectorSizePoissonLambda,
                                       double classInstanceCountPoissonLamba,
                                       java.lang.String[] classNames)

### RandomTokenSequenceIterator

    public RandomTokenSequenceIterator(Randoms r,
                                       Alphabet vocab,
                                       java.lang.String[] classnames)

### RandomTokenSequenceIterator

    public RandomTokenSequenceIterator(Randoms r,
                                       int vocabSize,
                                       int numClasses)

Method Detail

### getAlphabet

    public Alphabet getAlphabet()

### reset

    public void reset()

### next

    public Instance next()

  Specified by:
    `next` in interface `java.util.Iterator<Instance>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<Instance>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<Instance>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD